c ParaDyn - Parallel DYNAMO - molecular dynamics with EAM potentials
c 
c Authored by Steve Plimpton
c   (505) 845-7873, sjplimp@cs.sandia.gov
c   Dept 9221, MS 1111, Sandia National Labs, Albuquerque, NM  87185-1111
c
c Based on the serial DYNAMO code authored by
c   Stephen Foiles (foiles@ca.sandia.gov), Sandia National Labs, Livermore, CA
c   Murray Daw (daw@hubcap.clemson.edu), Clemson University
c
c See the README file for more information
c
      
      real*8 function rgauss(iseed)
      implicit real*8 (a-h,o-z)
      data twopi/6.283185308D0/
      
      a1 = random(iseed)
      a2 = random(iseed)
      rgauss = sqrt(-2.0D0*log(a1))*cos(twopi*a2)
      
      return
      end
      

      real*8 function random(iseed)
      implicit real*8 (a-h,o-z)
      parameter (a=16807.0D0,rm=2147483647.0D0)
      
      seed = iseed
      seed = mod(a*seed,rm)
      random = seed/rm
      iseed = seed

      return
      end

